<?php

namespace App\Http\Controllers\Admin;

use App\Models\EventCategory;
use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\EventCategory\{StoreRequest,EditRequest};

class EventCategoryController extends Controller
{
    public function index(){
        $this->lang();
        $categories=EventCategory::select('id','name_ar','name_en','image')
        ->get();
        return view('admin.events.index_category',compact('categories'));  
    }

    public function create(){
        $this->lang();
        return view('admin.events.add_category');  
    }
    
    public function store(StoreRequest $request){
        EventCategory::create($request->validated());
        return  to_route('event_category.index')->with('success',trans('lang.created')); 
    }

    public function update(EditRequest $request){
        $Category=EventCategory::find($request->id);
        $Category->update($request->validated());
        return  to_route('event_category.index')->with('success',trans('lang.updated')); 
    }
}
