<?php

namespace App\Http\Controllers\Admin;

use App\Models\Seller;
use App\Models\Product;
use App\Models\ProductImage;
use App\Models\Category;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\File;
use App\Traits\FileUploadTrait;
use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\Product\StoreRequest;

class ProductController extends Controller
{
    use FileUploadTrait;

    
    public function index(){
        $this->lang();
        $products=Product::with('images:id,product_id,name','seller:id,name',"category:id,$this->name")
        ->select('id',$this->name,$this->description,"price","quantity",'main_image','seller_id','category_id','is_available')
        ->get();
        return view('admin.product.index',compact('products'));
    }
    public function create(){
        $this->lang();
        $categories=Category::get(['id' , 'parent_id' , $this->name , 'end_point']);
        $sellers=Seller::where('active','1')->get(['id','name']);
        Log::info($categories);
        Log::info($sellers);

        return view('admin.product.add',compact('categories','sellers'));        
        
        // $temp = [];

    }
    public function store(StoreRequest $request){
        
        $data=$request->validated();
        $data['seller_id'] =$request->seller_id ;
        $data['main_image'] = $this->uploadFile($request->main_image,'products');
        $product = Product::create($data);
        foreach($request->images as $img){
            $product->images()->create([
                'name' =>  $this->uploadFile($img,'products'),
            ]);
        }
        Log::info($data);
        return  to_route('product.index')->with('success',trans('lang.created')); 

        // return 'test';
    }
    
    public function update($id){
        #TODO complete
        $product =Product::find($id);
        $status= $product->is_available == 0?1:0;
        $product->update(['is_available' => $status]);
        return to_route('product.index')->with('success',trans('lang.updated'));
    }

}
