
<?php $__env->startSection('title', 'Validation Forms'); ?>

<?php $__env->startSection('css'); ?>
<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/vendors/select2.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb-title'); ?>
<h3> <?php echo app('translator')->get('lang.add_service'); ?></h3>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb-items'); ?>
<li class="breadcrumb-item"><?php echo app('translator')->get('lang.Products'); ?></li>
<li class="breadcrumb-item active"><?php echo app('translator')->get('lang.add_Product'); ?></li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="card">
                <div class="card-body">
                    <form class="needs-validation" novalidate="" method="POST" enctype="multipart/form-data" action="<?php echo e(route('admin.sellerServices.store')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-md-6 mb-3">
                                <label for="sellerSelect"><?php echo app('translator')->get('lang.Sellers'); ?></label>
                                <select class="js-example-placeholder-multiple col-sm-12" id="sellerSelect" name="seller_id">
                                    <option value=""><?php echo app('translator')->get('lang.Select Seller'); ?></option>
                                    <?php $__currentLoopData = $sellers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $seller): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($seller->id); ?>"><?php echo e($seller->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <div class="invalid-feedback">Please provide a valid seller.</div>
                            </div>

                            <div class="col-md-6 mb-3">
                                <label for="categorySelect"><?php echo app('translator')->get('lang.Category'); ?></label>
                                <select class="js-example-placeholder-multiple col-sm-12" id="categorySelect" name="category_id">
                                    <option value=""><?php echo app('translator')->get('lang.Select Category'); ?></option>
                                </select>
                                <div class="invalid-feedback">Please provide a valid category.</div>
                            </div>

                            <div class="col-md-6 mb-3">
                                <label for="productSelect"><?php echo app('translator')->get('lang.Products'); ?></label>
                                <select class="js-example-placeholder-multiple col-sm-12" id="productSelect" name="product_id">
                                    <option value=""><?php echo app('translator')->get('lang.Select Product'); ?></option>
                                </select>
                                <div class="invalid-feedback">Please provide a valid product.</div>
                            </div>
                            
                            <div class="col-md-6 mb-3">
                                <label for="dateInput"><?php echo app('translator')->get('lang.date'); ?></label>
                                <input type="date" class="form-control" id="dateInput" name="date" required>
                                <div class="invalid-feedback">Please provide a valid date.</div>
                            </div>
                        </div>
                        

                        <button class="btn btn-primary" type="submit"><?php echo app('translator')->get('lang.save'); ?></button>
                    </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/js/select2/select2.full.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/select2/select2-custom.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/form-validation-custom.js')); ?>"></script>

<script>
    $(document).ready(function() {
        // Event listener for seller selection
        $('#sellerSelect').on('change', function () {
            const sellerId = $(this).val();
            if (sellerId) {
                fetchCategoriesBySeller(sellerId);
                $('#productSelect').html('<option value=""><?php echo app('translator')->get("lang.Select Product"); ?></option>'); // Reset product dropdown
            } else {
                $('#categorySelect').html('<option value=""><?php echo app('translator')->get("lang.Select Category"); ?></option>');
                $('#productSelect').html('<option value=""><?php echo app('translator')->get("lang.Select Product"); ?></option>');
            }
        });

        // Event listener for category selection
        $('#categorySelect').on('change', function () {
            const categoryId = $(this).val();
            if (categoryId) {
                fetchProductsByCategory(categoryId);
            } else {
                $('#productSelect').html('<option value=""><?php echo app('translator')->get("lang.Select Product"); ?></option>');
            }
        });

        // Fetch categories by seller
        function fetchCategoriesBySeller(sellerId) {
            $.ajax({
                url: "<?php echo e(route('admin.sellerServices.get.categories.by.seller')); ?>",
                type: 'GET',
                data: { seller_id: sellerId },
                success: function (response) {
                    const categorySelect = $('#categorySelect');
                    categorySelect.html('<option value=""><?php echo app('translator')->get("lang.Select Category"); ?></option>');
                    if (response.categories && response.categories.length > 0) {
                        response.categories.forEach(category => {
                            categorySelect.append(`<option value="${category.id}">${document.documentElement.dir === 'rtl' ? category.name_ar : category.name_en}</option>`);
                        });
                    } else {
                        categorySelect.append('<option value=""><?php echo app('translator')->get("lang.No categories available for this seller"); ?></option>');
                    }
                },
                error: function () {
                    alert('<?php echo app('translator')->get("lang.Error loading categories."); ?>');
                }
            });
        }

        // Fetch products by category
        function fetchProductsByCategory(categoryId) {
            $.ajax({
                url: "<?php echo e(route('admin.productServices.get.products.by.category')); ?>",
                type: 'GET',
                data: { category_id: categoryId },
                success: function (response) {
                    const productSelect = $('#productSelect');
                    productSelect.html('<option value=""><?php echo app('translator')->get("lang.Select Product"); ?></option>');
                    if (response.products && response.products.length > 0) {
                        response.products.forEach(product => {
                            productSelect.append(`<option value="${product.id}">${document.documentElement.dir === 'rtl' ? product.name_ar : product.name_en}</option>`);
                        });
                    } else {
                        productSelect.append('<option value=""><?php echo app('translator')->get("lang.No products available for this category"); ?></option>');
                    }
                },
                error: function () {
                    alert('<?php echo app('translator')->get("lang.Error loading products."); ?>');
                }
            });
        }
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ezhalhakw/public_html/ezhalha/resources/views/admin/sellerServices/create.blade.php ENDPATH**/ ?>