<html lang="ar" dir="<?php echo e((App::getLocale() == 'en') ? 'ltr' : 'rtl'); ?>">


<head>
    <title><?php echo app('translator')->get('lang.invoice'); ?> # <?php echo e($order->order_number); ?></title>
    <style>
        body {
            /* Use a modern Arabic font */
            /* font-family: 'Cairo', sans-serif;  */
            font-family: 'amiri', sans-serif;
            margin: 20px;
            background-color: #f9f9f9;
            /* display: flex;
            justify-content: center;
            align-items: center; */
            /* height: 100vh; Center vertically */
            min-height: 100vh;

        }
        .invoice-container {
            width: 100%; /* Adjust width as needed */
            max-width: 700px;
            background: #fff;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
            display: flex;
            justify-content: space-around;
            align-items: flex-start; 
            margin-bottom: 50px
            /* direction: <?php echo e((App::getLocale() == 'en') ? 'ltr' : 'rtl'); ?>; */
        }
        .section {
            width: 80%; /* Ensure both sections fit side by side */
        }
        .section-title {
            font-size: 18px;
            color: #4a4aee;
            margin-bottom: 10px;
            border-bottom: 2px solid #ddd;
            padding-bottom: 5px;
        }
        .info-item {
            margin-bottom: 8px;
            font-size: 14px;
            line-height: 1.6;
            /* text-align: <?php echo e((App::getLocale() == 'en') ? 'left' : 'right'); ?>; */
        }
        .info-item span {
            font-weight: bold;
            color: #333;
        }


        .total_price{
            margin-top: 50px;

        }


        table {
  border-collapse: collapse; /* Collapsing borders */
  width: 100%;
}

/* Applying styles to table headers */
th {
  background-color: #f2f2f2; /* Setting background color */
  border: 1px solid #dddddd; /* Adding border */
  text-align: center; /* Aligning text to the left */
  padding: 8px; /* Adding padding */
}

/* Applying styles to table rows */
tr {
    border: 1px solid #dddddd; /* Adding border */
    text-align: center; /* Aligning text to the left */
}

/* Applying styles to table cells */
td {
    padding: 8px; /* Adding padding */
    text-align: center; /* Aligning text to the left */
}

/* Applying different background color to even rows */
tr:nth-child(even) {
  background-color: #f2f2f2;
}



    </style>
</head>
<body>
    <h1><?php echo app('translator')->get('lang.invoice'); ?> # <?php echo e($order->order_number); ?></h1>
    



    <div class="invoice-container">
        <!-- Client Section -->
        <div class="section" >
            <h2 class="section-title"><?php echo app('translator')->get('lang.Client'); ?></h2>
            <p class="info-item"><span><?php echo app('translator')->get('lang.Name'); ?> :</span> <?php echo e($order->user->name); ?></p>
            <p class="info-item"><span><?php echo app('translator')->get('lang.phone'); ?> :</span> <?php echo e($order->user?->phone); ?></p>
            <p class="info-item"><span><?php echo app('translator')->get('lang.Email'); ?>:</span> <?php echo e($order->user?->email); ?></p>
            <p class="info-item"><span><?php echo app('translator')->get('lang.region'); ?> :</span> <?php echo e((App::getLocale() == 'en') ? $order->address?->region?->name_en : $order->address?->region?->name_ar); ?></p>
            <p class="info-item"><span><?php echo app('translator')->get('lang.address'); ?>:</span> <?php echo e($order->address?->block_no . ' - '. $order->address?->street . ' - '. $order->address?->building_no . ' - '. $order->address?->floor_no . ' - '. $order->address?->flat_no . ' - '. $order->address?->notes); ?></p>
            <p class="info-item"><span><?php echo app('translator')->get('lang.created_at'); ?>:</span> <?php echo e($order?->created_at->format('Y-m-d')); ?></p>
        </div>
            
        <div class="section" >
            <h2 class="section-title" ><?php echo app('translator')->get('lang.Seller'); ?></h2>
            <p class="info-item"><span><?php echo app('translator')->get('lang.Name'); ?> :</span> <?php echo e($order->seller?->name); ?></p>
            <p class="info-item"><span><?php echo app('translator')->get('lang.Email'); ?>:</span> <?php echo e($order->seller?->email); ?></p>
        </div>

    </div>




    <table>
        <thead>
            <tr>
                <th><?php echo app('translator')->get('lang.Product'); ?></th>
                <th><?php echo app('translator')->get('lang.price'); ?></th>
                <th><?php echo app('translator')->get('lang.quantity'); ?></th>
                <th><?php echo app('translator')->get('lang.Total_Price'); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $order->orderDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e((App::getLocale() == 'en') ? $item->product?->name_en  :  $item->product?->name_ar); ?></td>
                    <td><?php echo e($item->product?->price); ?></td>
                    <td><?php echo e($item->product->quantity ?? 1); ?></td>
                    <td><?php echo e($item?->price); ?></td>
                    
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
        <tfoot>
            <tr>
                <th><?php echo app('translator')->get('lang.Product'); ?></th>
                <th><?php echo app('translator')->get('lang.price'); ?></th>
                <th><?php echo app('translator')->get('lang.quantity'); ?></th>
                <th><?php echo app('translator')->get('lang.Total_Price'); ?></th>  
        </tfoot>
    </table>



    <h4 class="total_price" ><?php echo app('translator')->get('lang.Total_Price'); ?> <?php echo e($order?->total_price); ?> </h4>



</body>
</html>
<?php /**PATH /home/ezhalhakw/public_html/ezhalha/resources/views/admin/order/invoice.blade.php ENDPATH**/ ?>