
<?php $__env->startSection('title', 'Basic DataTables'); ?>

<?php $__env->startSection('css'); ?>
<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/vendors/datatables.css')); ?>">
<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/vendors/select2.css')); ?>">
<link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/vendors/owlcarousel.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('style'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb-title'); ?>
<h3><?php echo app('translator')->get('lang.add_service'); ?></h3>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb-items'); ?>
<li class="breadcrumb-item"><?php echo app('translator')->get('lang.Dashboard'); ?></li>
<li class="breadcrumb-item active"><?php echo app('translator')->get('lang.Products'); ?></li>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
	<div class="row">
		<div class="col-sm-12">
			<div class="card">
				<div class="card-body">
					<form class="needs-validation" novalidate="" method="POST" enctype="multipart/form-data" action="<?php echo e(route('seller.sellerServices.store')); ?>">
                        <?php echo csrf_field(); ?>
						<div class="row">
							<div class="col-md-6 mb-3">
                                <label for="categorySelect"><?php echo app('translator')->get('lang.Category'); ?></label>
                                <select class="js-example-placeholder-multiple col-sm-12" id="categorySelect" name="category_id">
                                    <option value=""><?php echo app('translator')->get('lang.Select Category'); ?></option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category->id); ?>"><?php echo e(app()->getLocale() == "en" ? $category->name_en : $category->name_ar); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <div class="invalid-feedback">Please provide a valid category.</div>
                            </div>
                            
                            <div class="col-md-6 mb-3">
                                <label for="productSelect"><?php echo app('translator')->get('lang.Products'); ?></label>
                                <select class="js-example-placeholder-multiple col-sm-12" id="productSelect" name="product_id">
                                    <option value=""><?php echo app('translator')->get('lang.Select Product'); ?></option>
                                </select>
                                <div class="invalid-feedback">Please provide a valid product.</div>
                            </div>
                            
                              <div class="col-md-6 mb-3">
                                <label for="dateInput"><?php echo app('translator')->get('lang.date'); ?></label>
                                <input type="date" class="form-control" id="dateInput" name="date" required>
                                <div class="invalid-feedback">Please provide a valid date.</div>
                            </div>
						</div>
						<button class="btn btn-primary" type="submit"><?php echo app('translator')->get('lang.save'); ?></button>
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
<script src="<?php echo e(asset('assets/js/select2/select2.full.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/select2/select2-custom.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/form-validation-custom.js')); ?>"></script>

<script>
    // Event listener for category selection
    $('#categorySelect').on('change', function() {
        var categoryId = $(this).val();
        if (categoryId) {
            // Call the AJAX function to fetch products for the selected category
            fetchProductsByCategory(categoryId);
        } else {
            // If no category is selected, clear the product dropdown
            $('#productSelect').html('<option value=""><?php echo app('translator')->get("lang.Select Product"); ?></option>');
        }
    });

    // Function to fetch products based on selected category using AJAX
    function fetchProductsByCategory(categoryId) {
        $.ajax({
            url: "<?php echo e(route('seller.productServices.get.products.by.category')); ?>", // Your route to fetch products by category
            type: 'GET',
            data: { category_id: categoryId },
            success: function(response) {
                var productSelect = $('#productSelect');
                productSelect.html('<option value=""><?php echo app('translator')->get("lang.Select Product"); ?></option>'); // Reset products dropdown
                if (response.products.length > 0) {
                    // Populate the products dropdown with options
                    $.each(response.products, function(index, product) {
                        productSelect.append('<option value="' + product.id + '">' + 
                            (document.documentElement.dir == 'rtl' ? product.name_ar : product.name_en) + 
                        '</option>');
                    });
                } else {
                    // If no products found, show a message
                    productSelect.append('<option value=""><?php echo app('translator')->get("lang.No products available for this category"); ?></option>');
                }
            },
            error: function() {
                alert('<?php echo app('translator')->get("lang.Error loading products."); ?>');
            }
        });
    }
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('seller.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ezhalhakw/public_html/ezhalha/resources/views/seller/sellerServices/create.blade.php ENDPATH**/ ?>