@extends('admin.layout.master')
@section('title', 'Basic DataTables')

@section('css')
<link rel="stylesheet" type="text/css" href="{{asset('assets/css/vendors/datatables.css')}}">
<link rel="stylesheet" type="text/css" href="{{asset('assets/css/vendors/select2.css')}}">

@endsection

@section('style')
@endsection

@section('breadcrumb-title')
<h3> @lang('lang.Categories')</h3>
@endsection

@section('breadcrumb-items')
<li class="breadcrumb-item"> @lang('lang.Dashboard')</li>
<li class="breadcrumb-item active">@lang('lang.Categories')</li>
@endsection

@section('content')
<div class="container-fluid">

	<div class="row">
		<div class="col-sm-12 mt-3">
			<div class="card">
				<div class="card-body">
					<div class="table-responsive">
						<table class="display" id="advance-1">
							<thead>
								<tr>
									<th>@lang('lang.Category')</th>
									<th>@lang('lang.family_name')</th>
									<th>@lang('lang.Image')</th>
									<th>@lang('lang.Image')</th>
									<th>@lang('lang.date')</th>
									<th>@lang('lang.Status')</th>
									<th></th>									
								</tr>
							</thead>
							<tbody>
								@forelse ($dailyEvents as $dailyEvent)
									<tr>
										<td>
											{{ $dailyEvent?->eventCategory?->name }}
										</td>
					
										<td>{{$dailyEvent->family_name}}</td>
										<td >
											<img src="{{ asset($dailyEvent->eventCategory->image) }}"  alt=""  class="image-fluid"  height="90">
										</td>
										<td >
											<img src="{{ asset($dailyEvent->image) }}"  alt=""  class="image-fluid"  height="90">
										</td>
										<td>
										{{$dailyEvent->date ." ".$dailyEvent->time}}
										</td>										
										<td>
										   
											@if ($dailyEvent->active ==1)
												@lang('lang.active')
											@else
												@lang('lang.inactive')
												
											@endif
										</td>										
										
										<td>
										<a class="btn btn-success"  href="{{ route('daily_events.details',$dailyEvent->id) }}">
												@lang('lang.details')</a>

												<input type="hidden" name="id" id="teest">

												@if (request()->get('eventiFlter') == 'under_review')


												<form action="{{ route('daily_events.rejection') }}" onclick="getId({{ $dailyEvent->id }})" method="post" id="form_id">
													@csrf
													<input type="hidden" name="rejection_reason" id="hidden_reason">
													<input type="hidden" name="id" value="{{$dailyEvent->id}}" id="seller_id">
													@can('edit seller status')
	
	
													
													
												
	
													<button id="{{ $loop->iteration }}" name='sasa'   class="btn btn-danger" onclick="rejection()" type="button" >@lang('lang.rejected')</button>
	
													
													@endcan	
												</form>

												@endif
												


												@if (request()->get('eventiFlter') == 'rejected')

												<button id="{{ $loop->iteration }}" class="btn btn-danger" onclick="reason(document.getElementById('reason'+{{$dailyEvent->id}}).value)" type="button" >@lang('lang.rejection_reason')</button>
												<input type="hidden" id="reason{{$dailyEvent->id}}" value="{{$dailyEvent?->rejection_reason}}" name="reason">

												@endif

										</td>
							
									</tr>
								@empty
									
								@endforelse
								
							</tbody>
							<tfoot>
								<tr>
									<th>@lang('lang.Name')</th>
									<th>@lang('lang.parent_category')</th>
									<th>@lang('lang.Image')</th>
									<th>@lang('lang.Image')</th>
									<th>@lang('lang.date')</th>
									<th>@lang('lang.Status')</th>
									<th></th>									
								</tr>							
							</tfoot>
						</table>
					</div>
				</div>
			</div>
		</div>
	
	</div>
</div>



@endsection


@section('script')
<script src="{{asset('assets/js/datatable/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('assets/js/datatable/datatables/datatable.custom.js')}}"></script>
<script src="{{asset('assets/js/form-validation-custom.js')}}"></script>
<script src="{{asset('assets/js/select2/select2.full.min.js')}}"></script>
<script src="{{asset('assets/js/select2/select2-custom.js')}}"></script>

<script src="{{asset('assets/js/sweet-alert/sweetalert.min.js')}}"></script>
<script src="{{asset('assets/js/sweet-alert/app.js')}}"></script>
@endsection
<script>

	function getId(id){
			document.getElementById("reason").value=id;
			
			
	   }
	</script>


</script>